# -*- rpm-spec -*-
# $Id: kernel-modules-cifs.spec,v 1.2 2003/11/28 19:59:43 vsu Exp $
#
%define kversion 2.4.22
%define krelease alt17
%define flavour  std-up

%define norm_version %kversion
%define module_version          0.9.3
%define module_release		alt3.17
%define module_name             cifs

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc                    gcc-2.96
%define kgcc_package		gcc2.96

%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Linux CIFS VFS module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.kernel.org/
BuildRequires: %kgcc_package
BuildRequires: modutils
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-build-tools
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(preun,postun): kernel-image-%flavour = %kversion-%krelease

%description
The CIFS VFS support for Linux supports many advanced network filesystem
features such as heirarchical dfs like namespace, hardlinks, locking and more.
It was designed to comply with the SNIA CIFS Technical Reference (which supersedes
the 1992 X/Open SMB Standard) as well as to perform best practice practical
interoperability with Windows 2000, Windows XP, Samba and equivalent 
servers.  

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n %module_name-%module_version

%build
make CC=%kcc TOPDIR=. \
     KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour \
     KERNEL_VERSION=%norm_version

%install
mkdir -p $RPM_BUILD_ROOT%module_dir
%__cp cifs.o $RPM_BUILD_ROOT%module_dir

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
#defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.3-alt3.17
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.3-alt2.17
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.3-alt1.17
- Initial release

